# Get integration execution log

`GET /workspaces/:workspace/integrations/:hash_id/execs/:exec_id/log`

Get a slice of the execution log.

**Required Scopes:** `INTEGRATION_READ`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The hash ID of the integration */
  hash_id: string; // Example: "abc123def456"
  /** Execution ID returned by the execute endpoint */
  exec_id: string; // Example: "9214386e-7633-4d2b-ac66-fcfbaf5ea99b"
}
```

## Query Parameters

```typescript
interface QueryParameters {
  /** Line offset into the execution log to start reading from (number of leading lines to skip). Default: 0 */
  offset?: number; // Example: 0
  /** Maximum number of log lines to return. Default: 1000 */
  limit?: number; // Example: 1000
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the execution */
  execution_id?: string;
  /** The log lines of the execution output slice */
  lines?: string[];
  /** Line offset to pass as `offset` to fetch the next slice of the log */
  next_offset?: number;
  /** Indicates if the execution log was truncated */
  truncated?: boolean;
}
```

## Response Example

**Status:** `200 OK`

```json
"{\n    \"execution_id\": \"0f7c2d51-4a8e-4f0b-9d7e-3c1b2a6e5f90\",\n    \"lines\": [\n        \"{\",\n        \"  \"content\" : [ {\",\n        \"    \"type\" : \"text\",\",\n        \"    \"text\" : \"Found 2 open issues\"\",\n        \"  } ],\",\n        \"  \"isError\" : false\",\n        \"}\"\n    ],\n    \"next_offset\": 7,\n    \"truncated\": false\n}\n"
```

---
Original source: https://buddy.works/docs/api/integrations/execs/log